#if !defined(AFX_INIT_DLG_H__70C5903E_2B7D_4DDD_8173_6478FA8986DD__INCLUDED_)
#define AFX_INIT_DLG_H__70C5903E_2B7D_4DDD_8173_6478FA8986DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// INIT_Dlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// INIT_Dlg dialog

class INIT_Dlg : public CDialog
{
// Construction
public:
	INIT_Dlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(INIT_Dlg)
	enum { IDD = IDD_INIT_Dlg };
	CComboBox	m_FTimes;
	CComboBox	m_Filter_Code;
	CComboBox	m_INPOS;
	CComboBox	m_ALARM;
	CComboBox	m_En_MODE;
	CComboBox	m_Devision;
	CComboBox	m_StopMode;
	CComboBox	m_LStop_Mode;
	CComboBox	m_Set_P_Mode;
	CComboBox	m_Level;
	CComboBox	m_Axis;
	CComboBox	m_Servo;
	DWORD	m_MaxV;
	long	m_Soft_F;
	long	m_Soft_R;
	DWORD	m_VRING_ENABLE;
	CString	m_Msg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(INIT_Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(INIT_Dlg)
	afx_msg void OnRegCard();
	afx_msg void OnBUTServoON();
	afx_msg void OnBUTSetData();
	afx_msg void OnButPulseMode();
	afx_msg void OnBUTSetMaxV();
	afx_msg void OnButSetHlmt();
	afx_msg void OnButLimitstopMode();
	afx_msg void OnButSetNhome();
	afx_msg void OnButSetHomeEdge();
	afx_msg void OnButSetSoftLmt();
	afx_msg void OnButSetEncoder();
	afx_msg void OnButSetAlarm();
	afx_msg void OnButSetInpos();
	afx_msg void OnButSetFilter();
	afx_msg void OnButVringEnable();
	afx_msg void OnButVringDisable();
	afx_msg void OnSelchangeCOMBOAxis();
	virtual BOOL OnInitDialog();
	afx_msg void OnBUTClear();
	afx_msg void OnGetError();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INIT_DLG_H__70C5903E_2B7D_4DDD_8173_6478FA8986DD__INCLUDED_)
